Bug 1575633 - Notification box not scrollable in Firefox
Summary: Notification box not scrollable in Firefox
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Notifications
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.4.0
Assignee: Amir
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 13:34 UTC by Radovan Drazny
Modified: 2019-11-05 23:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:09:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
Notification drawer in Chrome (44.09 KB, image/png)
2018-05-07 13:35 UTC, Radovan Drazny
no flags Details
Notification drawer in Firefox (38.24 KB, image/png)
2018-05-07 13:36 UTC, Radovan Drazny
no flags Details
Fixed notification in Firefox (57.31 KB, image/png)
2018-06-24 13:37 UTC, Amir
no flags Details

Description Radovan Drazny 2018-05-07 13:34:42 UTC
Description of problem:
When the notification box contains more than 5 items, it is not possible to scroll down using Firefox.

Version-Release number of selected component (if applicable):
Satellite 6.4 Snap 2

How reproducible:
always


Steps to Reproduce:
1. Have a lot of notification items in the notification box. My specific user case was changing the RSS feed address to a custom feed, which added another three feed items to the notification area.  
2. Open the notification drawer in Firefox. There is no scrollbar, and using the mouse wheel scrolls the page itself, not the list of notifications.


Expected results:
Notification list should be scrollable in Firefox.

Additional info:
Using Chrome works - the drawer has a scroll bar, and can be scrolled using the mouse wheel or even arrow keys. See the attached screen shots for the comparison.

Comment 1 Radovan Drazny 2018-05-07 13:35:31 UTC
Created attachment 1432592 [details]
Notification drawer in Chrome

Comment 2 Radovan Drazny 2018-05-07 13:36:10 UTC
Created attachment 1432593 [details]
Notification drawer in Firefox

Comment 4 Walden Raines 2018-06-18 21:04:46 UTC
Created redmine issue http://projects.theforeman.org/issues/23987 from this bug

Comment 5 Amir 2018-06-24 13:36:33 UTC
This bug is fixed in https://projects.theforeman.org/issues/23357
Keep in mind that the upstream release milestone is 1.19

Comment 6 Amir 2018-06-24 13:37:50 UTC
Created attachment 1454138 [details]
Fixed notification in Firefox

Comment 14 Bryan Kearney 2018-09-05 11:55:13 UTC
Movng needinfo to eric.

Comment 15 Nikhil Kathole 2018-09-12 09:38:23 UTC
VERIFIED

Version tested:
Satellite 6.4 snap 21

Notification box is now scrollable. (see attachment: left side is in record in Mozilla 52.7 and right side is chrome)

Comment 17 Bryan Kearney 2018-10-16 19:09:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.